# Class DuckDBDate

java.lang.Object
org.duckdb.DuckDBDate

public class DuckDBDate extends Object

## Constructor Summary

Constructors
Constructor
Description
`DuckDBDate(Date date)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getDaysSinceEpoch()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DuckDBDate

public DuckDBDate(Date date)

## Method Details

### getDaysSinceEpoch

public long getDaysSinceEpoch()